<?

/***********************************************/

//error_reporting( E_ALL );
error_reporting( E_ALL & ~E_STRICT & ~E_NOTICE & ~E_DEPRECATED );

/***********************************************/

class bd {

private $con = false; // Идентификатор
private $Queryes = 0; // Число запросов
private $MySQLErrors = array(); // Массив с ошибками
private $TimeQuery = 0; // Всемя запросов
private $MaxExTime = 0; // Максимальное время за 1 запрос
private $ListQueryes = ""; // Список запросов
private $HardQuery = ""; // Самый тяжелый запрос
private $LastQuery = false; // Ресурс запрос

// Выполняется при создании экземпляра класса
public function __construct($host, $user, $pass, $base){
	$this->Connect($host, $user, $pass, $base);
	$this->query("SET CHARACTER SET utf8");
	$this->query("SET NAMES utf8");
}

// Выводит описание ошибки в поток
private function GetError($TextError){
	$this->MySQLErrors[] = $TextError;
	die();
}

// Запрос
public function Query($query, $FreeMemory = false, $write_last = true){
$TimeA = $this->get_time();
$xxt_res = mysqli_query($this->con, $query) or $this->GetError(mysqli_error($this->con));
if($write_last) $this->LastQuery = $xxt_res;
$TimeB = $this->get_time() - $TimeA;
$this->TimeQuery += $TimeB;
if($TimeB > $this->MaxExTime){$this->HardQuery = $query; $this->MaxExTime = $TimeB;}
if( empty($this->ListQueryes) ) $this->ListQueryes = $query; else $this->ListQueryes .= "\n".$query;
$this->Queryes++;
if(!$FreeMemory){
return $this->LastQuery;
}else return $this->FreeMemory();
}

// Соединение с БД
private function Connect($host, $user, $pass, $base){
$this->con = @mysqli_connect($host, $user, $pass, $base) or $this->GetError(mysqli_connect_error());
} 

// Множественный запрос
function MultiQuery($query){
$TimeA = $this->get_time();
mysqli_multi_query($this->con, $query) or $this->GetError(mysqli_connect_error());
$TimeB = $this->get_time() - $TimeA;	
$ret_data = array();
$counter = 0;
do{
if ($result = mysqli_store_result($this->con)) {
while ($row = mysqli_fetch_array($result)) {
$ret_data[$counter][] = $row;
}
mysqli_free_result($result);
$counter++;
}
}while(mysqli_next_result($this->con));
$this->TimeQuery += $TimeB;
if($TimeB > $this->MaxExTime){$this->HardQuery = $query; $this->MaxExTime = $TimeB;}
if( empty($this->ListQueryes) ) $this->ListQueryes = $query; else $this->ListQueryes .= "\n".$query;
$this->Queryes++;
return $ret_data;
}

// Возвращает строку времени
private function get_time(){
list($seconds, $microSeconds) = explode(' ', microtime());
return ((float) $seconds + (float) $microSeconds);
}

// Выполняется при уничтожении экземпляра класса
function __destruct(){
if( !count($this->MySQLErrors) ) mysqli_close($this->con);
}

// Освобождает память
function FreeMemory(){
$tr = ($this->LastQuery) ? true : false;
@mysqli_free_result($this->LastQuery);
return $tr;
}

// Подсчет числа строк
function NumRows(){
return mysqli_num_rows($this->LastQuery);
}

// Возвращ массив, создает циферные ключи...
function FetchArray(){
//if($this->LastQuery)
return mysqli_fetch_array($this->LastQuery);
}

// Возвращает результат
function FetchRow(){
$xres = mysqli_fetch_row($this->LastQuery);
return (count($xres) > 1) ? $xres :  $xres[0];
}

// Возвращает последний ID вставки
function LastInsert(){
return @mysqli_insert_id($this->con);
}
}

class host{
	public $HostDB = "localhost";
	public $UserDB = "";
	public $PassDB = "";
	public $BaseDB = "";
}

/***********************************************/

$host = new host;

$mysqli = new bd($host->HostDB, $host->UserDB, $host->PassDB, $host->BaseDB);
if (mysqli_connect_errno()) {
printf("Не удалось подключиться: %s\n", mysqli_connect_error());
exit();
}

/***до перехода на mysqli***/
$bd_host = "localhost"; // хост
$bd_user = ""; // логин
$bd_password = "";  // пароль
$bd_base = ""; // БД
$mysql = mysql_connect( $bd_host, $bd_user, $bd_password ) or die( '' );
mysql_select_db( $bd_base, $mysql );
@mysql_query('set character_set_client="utf8"');
@mysql_query('set character_set_results="utf8"');
@mysql_query('set collation_connection="utf8_general_ci"');
/***/

//setlocale(LC_ALL, 'ru_RU.utf8');
mb_http_input('UTF-8');
mb_http_output('UTF-8');
mb_internal_encoding("UTF-8");

date_default_timezone_set('Europe/Moscow');

include_once $_SERVER['DOCUMENT_ROOT'] . '/engine/function.php';

$config = mysql_fetch_array( mysql_query( "SELECT * FROM config WHERE id = 1" ) );
$config_site = mysql_fetch_array( mysql_query( "SELECT * FROM config_site WHERE id = 1" ) );

/***********************************************/

if ( isset( $_SESSION['iduser'] ) ) {
    $config_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" ) );

    /*---Выходим если пользователь заблокирован---*/
    if ( $config_user['blockuser'] == 1 ) {
        header( "Location: /exit" );
        //exit();
    }
    /*---Выходим если пользователь удален---*/
    if ( $config_user['userdel'] == 1 ) {
        header( "Location: /exit" );
        //exit();
    }
    /*---Если разные браузеры---*/
    if ( $config_user['browser'] != user_browser( $_SERVER['HTTP_USER_AGENT'] ) ) {
        header( "Location: /exit" );
        //exit();
    }

    /*---Обновляем статистику посещения каждые 5 минут---
    if ( $config_user['logindate'] + 5 * 60 < time() ) {
        mysql_query( "UPDATE user SET logindate = '" . time() . "' WHERE id = '" . $_SESSION['iduser'] . "'" );
    }*/

    /*---Удаление сообщений---*/
    mysql_query( "DELETE FROM messages WHERE from_del = 1 and to_del = 1 LIMIT 1" );
    /*--------------------------------------------------------------------------------------------------------------------------------*/

    /*---Награды и заслуги---*/
    //привлечение рефералов
    if ( $config_user['ref100'] == 0 and $config_user['referals'] >= 100 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 10, golos = golos + 5, ref100 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['ref500'] == 0 and $config_user['referals'] >= 500 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 50, golos = golos + 10, ref500 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['ref1000'] == 0 and $config_user['referals'] >= 1000 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 100, golos = golos + 25, ref1000 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    //получения статуса
    if ( $config_user['statusMaster'] == 0 and $config_user['reyting'] >= 250 ) {
        mysql_query( "UPDATE user SET golos = golos + 25, statusMaster = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['statusSMaster'] == 0 and $config_user['reyting'] >= 600 ) {
        mysql_query( "UPDATE user SET golos = golos + 50, statusSMaster = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['statusBiznes'] == 0 and $config_user['reyting'] >= 1000 ) {
        mysql_query( "UPDATE user SET golos = golos + 100, statusBiznes = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    //оплата
    if ( $config_user['pay100'] == 0 and $config_user['allpay'] >= 100 ) {
        mysql_query( "UPDATE user SET money = money + 5, golos = golos + 5, pay100 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['pay500'] == 0 and $config_user['allpay'] >= 500 ) {
        mysql_query( "UPDATE user SET money = money + 25, golos = golos + 10, pay500 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['pay1000'] == 0 and $config_user['allpay'] >= 1000 ) {
        mysql_query( "UPDATE user SET money = money + 50, golos = golos + 25, pay1000 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['pay5000'] == 0 and $config_user['allpay'] >= 5000 ) {
        mysql_query( "UPDATE user SET money = money + 75, golos = golos + 50, pay5000 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['pay10000'] == 0 and $config_user['allpay'] >= 10000 ) {
        mysql_query( "UPDATE user SET money = money + 100, golos = golos + 100, pay10000 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    //сообщений на форуме
    $avardsForumMes = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM forum_mes WHERE iduser = '" . $_SESSION['iduser'] . "'" ) );
    if ( $config_user['forummes50'] == 0 and $avardsForumMes['count'] >= 50 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 5, forummes50 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['forummes100'] == 0 and $avardsForumMes['count'] >= 100 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 10, forummes100 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['forummes250'] == 0 and $avardsForumMes['count'] >= 250 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 25, forummes250 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['forummes500'] == 0 and $avardsForumMes['count'] >= 500 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 50, forummes500 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }
    if ( $config_user['forummes1000'] == 0 and $avardsForumMes['count'] >= 1000 ) {
        mysql_query( "UPDATE user SET reyting = reyting + 100, forummes1000 = 1 WHERE id = '" . $_SESSION['iduser'] . "' LIMIT 1" );
    }

/*---Задания---*/
//убираем V.I.P задания у которых истекло время
mysql_query( "UPDATE tasks SET vip = 0, viptime = 0 WHERE viptime <= '" . time() . "' and vip = 1 LIMIT 1" );
//удаляем выполнения которые начаты и истек срок времени исполнения
$tasks_nachalo = mysql_query( "SELECT ident FROM tasks_temp WHERE status in (0,3) and enddate <= '" . time() . "' LIMIT 1" );
if ( mysql_num_rows( $tasks_nachalo ) > 0 ) {
    $tasks_nachalo_row = mysql_fetch_array( $tasks_nachalo );

    mysql_query( "UPDATE tasks SET t_work = t_work - 1 WHERE id = '" . $tasks_nachalo_row['ident'] . "'" );
    mysql_query( "DELETE FROM tasks_temp WHERE ident = '" . $tasks_nachalo_row['ident'] . "' and status in (0,3) and enddate <= '" . time() . "'" );
}
//автоматическая оплата выполненных заданий
$tasks_autopay = mysql_query( "SELECT * FROM tasks_temp WHERE status in (4) and startdate + 86400 * 10 - 7200 <= '" . time() . "' and ident IN(SELECT id FROM tasks WHERE balance >= price / '" . $config['factor'] . "')" );
    if ( mysql_num_rows( $tasks_autopay ) > 0 ) {
        $tasks_autopay_row = mysql_fetch_array( $tasks_autopay );

        $tasks_autopay_real = mysql_fetch_array( mysql_query( "SELECT * FROM tasks WHERE ident = '" . $tasks_autopay_row['id'] . "' LIMIT 1" ) );
        $tasks_autopay_user = mysql_fetch_array( mysql_query( "SELECT referer, autoproc FROM user WHERE id = '" . $tasks_autopay_row['iduser'] . "'" ) );

        //зачисляем рефбек рефералу I уровня
        if ( $tasks_autopay_user['referer'] != 0 ) {
            $ref_1 = mysql_fetch_array( mysql_query( "SELECT reyting FROM user WHERE id = '" . $tasks_autopay_user['referer'] . "'" ) );

            if ( $ref_1['reyting'] >= 1 and $ref_1['reyting'] < 10 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st13'];
            } else
            if ( $ref_1['reyting'] >= 10 and $ref_1['reyting'] < 100 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st14'];
            } else
            if ( $ref_1['reyting'] >= 100 and $ref_1['reyting'] < 250 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st15'];
            } else
            if ( $ref_1['reyting'] >= 250 and $ref_1['reyting'] < 600 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st16'];
            } else
            if ( $ref_1['reyting'] >= 600 and $ref_1['reyting'] < 1000 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st17'];
            } else
            if ( $ref_1['reyting'] >= 1000 ) {
                $ref1_back = $tasks_autopay_row['price'] * $config['st18'];
            } else {
                $ref1_back = 0;
            }

            if ( !is_numeric( $ref1_back ) ) $ref1_back = 0;
            $my_refback = $ref1_back * ( $tasks_autopay_user['autoproc'] / 100 );
            if ( !is_numeric( $my_refback ) ) $my_refback = 0;
            $ref1_refback = $ref1_back - $my_refback;
            if ( !is_numeric( $ref1_refback ) ) $ref1_refback = 0;
            mysql_query( "UPDATE user SET money = money + '" . $ref1_refback . "' WHERE id = '" . $tasks_autopay_user['referer'] . "'" );
        }

        $my_money = $tasks_autopay_row['price'] + $my_refback;

        if ($tasks_autopay_row['price'] <= 0.99 && $tasks_autopay_real['maxtime'] <= 3600) {
		$reyting_user = 0;
		} else {
		$reyting_user = 0.5;
		}

        mysql_query( "UPDATE user SET money = money + '" . $my_money . "', toref = toref + '" . $ref1_refback . "', reyting = reyting + '" . $reyting_user . "', tasks_view = tasks_view + 1 WHERE id = '" . $tasks_autopay_row['iduser'] . "'" );

        $viruchka = moneyraund( moneyraund( $tasks_autopay_row['price'] / $config['factor'], 2 ) - $ref1_refback - $my_money, 4 );
        mysql_query( "UPDATE viruchka SET money = money + '" . $viruchka . "' WHERE ident = 5" );

        mysql_query( "UPDATE tasks_temp SET status = 1, refuse = '' WHERE ident = '" . $tasks_autopay_row['ident'] . "' and iduser = '" . $tasks_autopay_row['iduser'] . "' and status = 4" );
        mysql_query( "UPDATE tasks SET t_wait = t_wait - 1, t_goods = t_goods + 1, balance = balance - '" . moneyraund( $tasks_autopay_row['price'] / $config['factor'], 2 ) . "' WHERE id = '" . $tasks_autopay_row['ident'] . "'" );

        $week = date( 'w', time() );
        $stat = mysql_fetch_array( mysql_query( "SELECT v3 FROM visit_statistic WHERE iduser = '" . $tasks_autopay_row['iduser'] . "' LIMIT 1" ) );
        $v3 = unserialize( $stat['v3'] );
        $valueV3 = $v3[$week];
        $valueV3New = array( $week => $valueV3 + 1 );
        $v3 = array_replace( $v3, $valueV3New );
        mysql_query( "UPDATE visit_statistic SET v3 = '" . serialize( $v3 ) . "' WHERE iduser = '" . $tasks_autopay_row['iduser'] . "' LIMIT 1" );
    }

/*---Останавливаем рекламную площадку цепочка ссылок---*/
mysql_query( "UPDATE clink SET paused = 0 WHERE balance < '" . $config['clink'] . "' and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку статические ссылки---*/
mysql_query( "UPDATE slink SET paused = 0 WHERE balance < '" . $config['slink'] . "' and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку контестной рекламы---*/
mysql_query( "UPDATE klink SET paused = 0 WHERE balance < '" . $config['klink'] . "' and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку баннеры 100 х 100---*/
mysql_query( "UPDATE banners SET paused = 0 WHERE balance < '" . $config['banner100x100'] . "' and type = 3 and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку баннеры 200 х 300---*/
mysql_query( "UPDATE banners SET paused = 0 WHERE balance < '" . $config['banner200x300'] . "' and type = 0 and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку баннеры 468 х 60---*/
mysql_query( "UPDATE banners SET paused = 0 WHERE balance < '" . $config['banner468x60'] . "' and type = 1 and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку тесты---*/
mysql_query( "UPDATE tests SET paused = 0 WHERE balance < '" . $config['tests'] . "' and paused = 1 LIMIT 1" );
/*---Останавливаем рекламную площадку задания---*/
mysql_query( "UPDATE tasks SET paused = 0 WHERE balance < price / '" . $config['factor'] . "' and paused = 1 LIMIT 1" );

}

/***********************************************/

/*---Пользователи---*/
//минус рейтинг пользователям, неактивным в течение более недели
    $user_notactive_sql = mysql_query("SELECT * FROM user WHERE logindate != 0 AND logindate_res != 1 LIMIT 1000" );
    while ($user_notactive_row = mysql_fetch_assoc($user_notactive_sql)) 
    {
		if (($user_notactive_row['logindate'] + 86400 * 7) < time()) {
		if ($user_notactive_row['reyting'] <= 10.99) {
        mysql_query("UPDATE user SET reyting = 1, logindate_res = 1 WHERE id = '" . $user_notactive_row['id'] . "'");
        }
		else {
        mysql_query("UPDATE user SET reyting = reyting - 10, logindate_res = 1 WHERE id = '" . $user_notactive_row['id'] . "'");
        }
		}
	}

/*---Статистика---*/
//обнуление статистики заработка на новую неделю
    $kron_if =  mysql_fetch_array( mysql_query( "SELECT timekron FROM visit_statistic_daily_cron WHERE `id` = '1'" ));
	$dewff = $kron_if['timekron'];
    if ($dewff < (time()-604800)) {
	$newdate_obnul = date ("d.m.Y", time() - (date("N")-1) * 24*60*60); //понедельник
    $visitstat_obnul = explode( '.', $newdate_obnul );
    if ( $visitstat_obnul[0] == date( 'd' ) and $visitstat_obnul[1] == date( 'm' ) and $visitstat_obnul[2] == date( 'Y' ) ) {
    $user_visitstat_obnul_sql = mysql_query("SELECT * FROM visit_statistic_daily ORDER BY id DESC" );
    while ($user_visitstat_obnul_row = mysql_fetch_assoc($user_visitstat_obnul_sql)) 
    {
        mysql_query( "UPDATE visit_statistic_daily SET v1 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v2 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v3 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v4 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v5 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v6 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v7 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v8 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "', v9 = '" . serialize( array( 0, 0, 0, 0, 0, 0, 0 ) ) . "' WHERE id = '" . $user_visitstat_obnul_row['id'] . "'" );
        mysql_query( "UPDATE visit_statistic_daily_cron SET timekron = '".time()."'" );
	}
	}
	}

//обновление лимита визитов в автосерфинге раз в сутки
	$auto_lim_sql = mysql_query("SELECT id,limit_all FROM auto_surf WHERE limit_all != '0' AND date_limit + 86400 <= '" . time() . "' LIMIT 1000" );
    while ($auto_lim_row = mysql_fetch_assoc($auto_lim_sql)) 
    {
		$limit_all = $auto_lim_row['limit_all'];
        mysql_query( "UPDATE auto_surf SET limit_now = '" . $limit_all . "', date_limit = '" . time() . "' WHERE id = '" . $auto_lim_row['id'] . "' AND limit_all != '0'" );
	}
	$auto_lim0_sql = mysql_query("SELECT id,limit_all FROM auto_surf WHERE limit_all = '0' AND date_limit + 86400 <= '" . time() . "' LIMIT 1000" );
    while ($auto_lim0_row = mysql_fetch_assoc($auto_lim0_sql)) 
    {
        mysql_query( "UPDATE auto_surf SET limit_now = '100000', date_limit = '" . time() . "' WHERE id = '" . $auto_lim0_row['id'] . "'" );
	}

/***********************************************/

/*---Удаление общих ложных или мусорных данных из БД---*/
//корзина покупок
    //удаление из корзины (по истечении 1 суток)
    mysql_query( "DELETE FROM basket WHERE time < '" . time() . "' - 86400" );
    //удаление из корзины (Ярмарка - биржа рефералов, по истечении 1 часа)
    mysql_query( "DELETE FROM basket WHERE type = 16 AND time < '" . time() . "' - 3600" );

//ярмарка - биржа рефералов (снятие с бронирования по истечении 1 часа)
    $refbirj_bron_sql = mysql_query("SELECT id FROM fair_refbirj WHERE bron = '1' LIMIT 1000" );
    while ($refbirj_bron_row = mysql_fetch_assoc($refbirj_bron_sql)) 
    {
    mysql_query( "UPDATE fair_refbirj SET timebron = 0, bron = 0, bron_uid = 0 WHERE timebron < '" . time() . "' - 3600 AND id = '" . $refbirj_bron_row['id'] . "'" );
	}

//устаревшие рассылки для рефералов
    //mysql_query("DELETE FROM massref WHERE id != 1 AND active = 1 AND date <= '" . time() . "'");
    mysql_query("DELETE FROM massref WHERE active = 1 AND date <= '" . time() . "'");

//история сёрфинга
    //удаление истории бонусов за сёрфинг
    mysql_query( "DELETE FROM history_surf_bonus WHERE date < '" . time() . "' - 259200" );
    //удаление истории посещений сайтов
    mysql_query( "DELETE FROM history_surf_views WHERE date < '" . time() . "' - 259200" );

//тест-драйв с 0 на балансе
    mysql_query( "DELETE FROM dynlink WHERE test = '1' AND balance <= '0'" );

//конкурсы с 0 id
    $konk_not_sql = mysql_query("SELECT id FROM konkurs_temp WHERE iduser = '0' LIMIT 1000" );
    while ($konk_not_row = mysql_fetch_assoc($konk_not_sql)) 
    {
        mysql_query( "DELETE FROM konkurs_temp WHERE id = '" . $konk_not_row['id'] . "'" );
	}
	$konk_not_sql = mysql_query("SELECT id FROM konkurs_ref_temp WHERE iduser = '0' LIMIT 1000" );
    while ($konk_not_row = mysql_fetch_assoc($konk_not_sql)) 
    {
        mysql_query( "DELETE FROM konkurs_ref_temp WHERE id = '" . $konk_not_row['id'] . "'" );
	}

//конкурс от Админа трафик на сайт с 0 id
    mysql_query( "UPDATE konkurs_temp_traf SET status = '0' WHERE date + 86400 <= '" . time() . "'" );
	$konk_not_sql = mysql_query("SELECT id FROM konkurs_temp_traf WHERE iduser = '0' LIMIT 1000" );
    while ($konk_not_row = mysql_fetch_assoc($konk_not_sql)) 
    {
        mysql_query( "DELETE FROM konkurs_temp_traf WHERE id = '" . $konk_not_row['id'] . "'" );
	}

/***********************************************/

?>
