<?

if ( isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=utf-8' );
    include_once ROOT_DIR . '/engine/config.php';
} else {
    if ( !defined( 'webid' ) ) { exit(); }
}

?>

<div class="text_title">Карьерный рост на <?=$config_site['sitename']?></div>
<div class="infotext">В системе <b><?=$config_site['sitename']?></b> пользователи могут иметь различные статусы аккаунта. Статус пользователя повышается в зависимости от его рейтинга. От Вашего статуса и рейтинга, зависит ваш заработок в системе. Чем выше ваш статус, тем больше ваш заработок и больше различных преимуществ.</div>
<div class="status_faq">Как расчитывается рейтинг?</div>
<div class="wrap_status" style="margin: 5px auto 0; padding: 0 10px; width: 90%;">
<span>Рейтинг - важная составляющая Вашего карьерного роста. Как заработать баллы рейтинга? Могут ли они уменьшаться? <br />Обратите внимание, как расчитывается рейтинг:</span>
<ul class="arrowtitle">
    <li>Регистрация в системе — <span style="color: #a98307;">+<?=$config['reyting']?> баллов</span></li>
    <li>Ежедневный бонус — <span style="color: #a98307;">+<?=$config['everybonus']?> баллов</span></li>
    <li>За один сбор денежного бонуса — <span style="color: #a98307;">+0.01 баллов</span></li>
    <li>За один просмотр в автосерфинге — <span style="color: #a98307;">+0.05 баллов</span></li>
    <li>За один просмотр в серфинге — <span style="color: #a98307;">+0.1 баллов</span></li>
    <li>За одно чтение письма — <span style="color: #a98307;">+0.3 баллов</span></li>
    <li>За одно выполнение теста — <span style="color: #a98307;">+0.5 баллов</span></li>
    <li>За одно оплаченное задание (многоразовые задания до 1 часа и стоимостью меньше 1 рубля не поощряются) — <span style="color: #a98307;">+0.5 баллов</span></li>
    <li>Привлечение реферала (только после того, как реферал активирует свой аккаунт) — <span style="color: #a98307;">+<?=$config['refreyting']?> баллов</span></span></li>
    <li>Вывод средств из системы (сумма от 2 <?=$config['valutaname']?>) — <span style="color: #a98307;">+5% баллов</span></li>
	<!--
    <li>Процент от выплаты реферала — <span style="color: #a98307;">+3% баллов</span></li>
	-->
    <li>Пополнение рекламного бюджета с помощью перевода средств с основного счёта (каждые полные 10 <?=$config['valutaname']?>) — <span style="color: #a98307;">+1 баллов</span></li>
    <li>Подарок другому пользователю — <span style="color: #a98307;">+<?=$config['giftreyting']?> баллов</span></li>
    <li>Новая тема на форуме — <span style="color: #a98307;">+<?=$config['new_topic_reyting']?> баллов</span></li>
    <li><span style="color: crimson;">Отсутствие активности пользователя в течение более недели — -10 баллов</span></li>
    <li><span style="color: crimson;">Бан на форуме — -5 баллов</span></li>
    <li><span style="color: crimson;">Нарушение правил проекта — минус баллы по решению Администрации</span></li>
</ul>
</div>
<div class="text_title">Сравнительная таблица статусов</div>
<div class="wrap_status">
<table class="tab_status">
        <thead>
            <th style="text-align: left;">Статус</th>
            <th style="width: 68px;">Стажер</th>
            <th style="width: 68px;">Рабочий</th>
            <th style="width: 68px;">Бригадир</th>
        </thead>
        <tr>
            <td class="status_title">Рейтинг</th>
            <td class="status_title status_line">1 — 9</th>
            <td class="status_title status_line">10 — 99</th>
            <td class="status_title status_line">100 — 249</th>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />серфинг, письма, тесты</span></td>
            <td class="status_line"><?=$config['st1'] * 100?>%</td>
            <td class="status_line"><?=$config['st2'] * 100?>%</td>
            <td class="status_line"><?=$config['st3'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />автосерфинг</span></td>
            <td class="status_line"><?=$config['st19'] * 100?>%</td>
            <td class="status_line"><?=$config['st20'] * 100?>%</td>
            <td class="status_line"><?=$config['st21'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />задания</span></td>
            <td class="status_line"><?=$config['st13'] * 100?>%</td>
            <td class="status_line"><?=$config['st14'] * 100?>%</td>
            <td class="status_line"><?=$config['st15'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />сбор денежных бонусов</span></td>
            <td class="status_line"><?=$config['st51'] * 100?>%</td>
            <td class="status_line"><?=$config['st52'] * 100?>%</td>
            <td class="status_line"><?=$config['st53'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов II ур. <span style="color: #aaa;"><br />серфинг, письма, тесты</span></td>
            <td class="status_line"><? if($config['st7']==0.0000){echo 0;}else{echo $config['st7'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st8']==0.0000){echo 0;}else{echo $config['st8'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st9']==0.0000){echo 0;}else{echo $config['st9'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов II ур. <span style="color: #aaa;"><br />автосерфинг</span></td>
            <td class="status_line"><? if($config['st7']==0.0000){echo 0;}else{echo $config['st7'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st8']==0.0000){echo 0;}else{echo $config['st8'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st9']==0.0000){echo 0;}else{echo $config['st9'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <br/>(оплата услуг)</td>
            <td class="status_line"><? if($config['st101']==0.0000){echo 0;}else{echo $config['st101'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st102']==0.0000){echo 0;}else{echo $config['st102'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st103']==0.0000){echo 0;}else{echo $config['st103'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Вывод средств в сутки<br/>(максимальная сумма)</td>
            <td class="status_line">5 <?=$config['valutaname']?></td>
            <td class="status_line">10 <?=$config['valutaname']?></td>
            <td class="status_line">15 <?=$config['valutaname']?></td>
        <tr>
            <td class="status_col">Возможность оставлять отзывы <br/>на стенах пользователей</td>
            <td class="status_line">нет</td>
            <td class="status_line">да</td>
            <td class="status_line">да</td>
        </tr>
        </tr>
</table>
<table class="tab_status" style="margin-top:10px">
        <thead>
            <th style="text-align: left;">Статус</th>
            <th style="width: 68px;">Мастер</th>
            <th style="width: 68px;">Прораб</th>
            <th style="width: 68px;">Бизнесмен</th>
        </thead>
        <tr>
            <td class="status_title">Рейтинг</th>
            <td class="status_title status_line">250 — 599</th>
            <td class="status_title status_line">600 — 999</th>
            <td class="status_title status_line">1000</th>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />серфинг, письма, тесты</span></td>
            <td class="status_line"><?=$config['st4'] * 100?>%</td>
            <td class="status_line"><?=$config['st5'] * 100?>%</td>
            <td class="status_line"><?=$config['st6'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />автосерфинг</span></td>
            <td class="status_line"><?=$config['st22'] * 100?>%</td>
            <td class="status_line"><?=$config['st23'] * 100?>%</td>
            <td class="status_line"><?=$config['st24'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />задания</span></td>
            <td class="status_line"><?=$config['st16'] * 100?>%</td>
            <td class="status_line"><?=$config['st17'] * 100?>%</td>
            <td class="status_line"><?=$config['st18'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <span style="color: #aaa;"><br />сбор денежных бонусов</span></td>
            <td class="status_line"><?=$config['st54'] * 100?>%</td>
            <td class="status_line"><?=$config['st55'] * 100?>%</td>
            <td class="status_line"><?=$config['st56'] * 100?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов II ур. <span style="color: #aaa;"><br />серфинг, письма, тесты</span></td>
            <td class="status_line"><? if($config['st10']==0.0000){echo 0;}else{echo $config['st10'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st11']==0.0000){echo 0;}else{echo $config['st11'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st12']==0.0000){echo 0;}else{echo $config['st12'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов II ур. <span style="color: #aaa;"><br />автосерфинг</span></td>
            <td class="status_line"><? if($config['st10']==0.0000){echo 0;}else{echo $config['st10'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st11']==0.0000){echo 0;}else{echo $config['st11'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st12']==0.0000){echo 0;}else{echo $config['st12'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Доход от рефералов I ур. <br/>(оплата услуг)</td>
            <td class="status_line"><? if($config['st104']==0.0000){echo 0;}else{echo $config['st104'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st105']==0.0000){echo 0;}else{echo $config['st105'] * 100;} ?>%</td>
            <td class="status_line"><? if($config['st106']==0.0000){echo 0;}else{echo $config['st106'] * 100;} ?>%</td>
        </tr>
        <tr>
            <td class="status_col">Вывод средств в сутки<br/>(максимальная сумма)</td>
            <td class="status_line">25 <?=$config['valutaname']?></td>
            <td class="status_line">50 <?=$config['valutaname']?></td>
            <td class="status_line">100 <?=$config['valutaname']?></td>
        </tr>
        <tr>
            <td class="status_col">Возможность оставлять отзывы <br/>на стенах пользователей</td>
            <td class="status_line">да</td>
            <td class="status_line">да</td>
            <td class="status_line">да</td>
        </tr>
</table>
</div>

<div style="display:block;margin:30px auto 10px;text-align:center;width:468px;">

</div>
