<?

ini_set("session.gc_maxlifetime", 86400);
session_start();

header( 'Content-type: text/html; charset=utf-8' );

define( 'webid', true );
define( 'ROOT', 'http://' . $_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

//Отимизация кода
include_once ROOT_DIR . '/engine/classes/optimize.php';
ob_start( 'Optimize' );

include_once ROOT_DIR . '/engine/config.php'; // подключение к бд
include_once ROOT_DIR . '/engine/function.php'; // функции
include_once ROOT_DIR . '/engine/classes/bbcode.class.php'; // bbcode

/*---Проверка данных на SQL иньекции---*/
if ( $_REQUEST ) {
    foreach ( $_REQUEST as $v ) {
        if ( init_inj_indx( $v ) ) {
            exit();
        }
    }
}

/*---Сайт отключен---*/
if ( $config_site['siteoff'] ) {
    include_once ROOT_DIR . '/siteoff.php';
    exit();
}

/*---Определяем старый браузер IE---*/
$u_agent = $_SERVER['HTTP_USER_AGENT'];
if ( preg_match( '/MSIE/i', $u_agent ) ) {
    preg_match( '/MSIE\s(\d+)\.(\d+)/is', $u_agent, $bw_ver );
    if ( $bw_ver[1] < 9 ) {
        include_once ROOT_DIR . '/modules/badbrowser.php';
        exit();
    }
}

if ( !isset( $_COOKIE['rsite'] ) ) {
    setcookie( 'rsite', $_SERVER['HTTP_REFERER'], time() + 86400 * 3 );
}

if ( isset( $_GET['r'] ) ) {
    setcookie( 'referer', ( int ) $_GET['r'], time() + 86400 * 3 );

// конкурс от Админа - трафик на сайт
// исключения юзеров
if ( ( int ) $_GET['r'] != 184 && ( int ) $_GET['r'] != 184 ) {

            include_once ROOT_DIR .  '/engine/geoip/GeoIP.php';
            $geoip = Net_GeoIP::getInstance( ROOT_DIR . '/engine/geoip/GeoIP.dat' );
            try {
                $traffcode = strtolower( $geoip->lookupCountryCode( real_IP() ) );
            }
            catch ( Exception $e ) {
                $traffcode = '';
            }
        if ( $traffcode == 'ru' || $traffcode == 'by' || $traffcode == 'ua' ) {
				$kon_adm_u = mysql_fetch_array(mysql_query("SELECT * FROM konkurs WHERE type = 4 and active = 1"));
				if ($kon_adm_u['id'] > 0) {
					$adm_temp_traf_u = mysql_fetch_array( mysql_query( "SELECT * FROM konkurs_temp_traf WHERE iduser = '" . ( int ) $_GET['r'] . "' AND id_konkurs = '" . $kon_adm_u['id'] . "' AND type = '4' AND status = '1' AND ip = '" . real_IP() . "'" ) );
					if($adm_temp_traf_u['id'] == 0) {
					$adm_temp_u = mysql_fetch_array( mysql_query( "SELECT * FROM konkurs_temp WHERE iduser = '" . ( int ) $_GET['r'] . "' AND id_konkurs = '" . $kon_adm_u['id'] . "' AND type = '4'" ) );
					if($adm_temp_u['id'] > 0) {
						///echo 'участвует';
						mysql_query("UPDATE konkurs_temp SET summ = summ + '1' WHERE iduser = '" . ( int ) $_GET['r'] . "' AND id_konkurs = '" . $kon_adm_u['id'] . "' AND type = '4'");
					} else {
						///echo 'не участвует';
						mysql_query("INSERT INTO konkurs_temp (id_konkurs, type, iduser, summ) VALUES ('" . $kon_adm_u['id'] . "', '4', '" . ( int ) $_GET['r'] . "', '1')");
					}
						mysql_query("INSERT INTO konkurs_temp_traf (id_konkurs, type, iduser, ip, rsite, date) VALUES ('" . $kon_adm_u['id'] . "', '4', '" . ( int ) $_GET['r'] . "', '" . real_IP() . "', '" . $_SERVER['HTTP_REFERER'] . "', '" . time() . "')");
					}
				}
        }

}
}

if ( isset( $_GET['wr'] ) ) {
    setcookie( 'wreferer', ( int ) $_GET['r'], time() + 86400 * 3 );
}

if ( isset( $_COOKIE['rwrdel'] ) ) {
    SetCookie( 'referer', '' );
    SetCookie( 'wreferer', '' );
    SetCookie( 'rwrdel', '' );
}

include_once ROOT_DIR . '/modules/online/online.php'; // кто онлайн

if ( isset($_POST['ajax']) ) {
if ( $_POST['ajax'] == 'yes' ) {
    include_once ROOT_DIR . '/engine/engine.php';
}
} else {

?>

<!DOCTYPE html>
<html lang="ru">
<head>
<meta charset="utf-8">
<title><? include_once ROOT_DIR . '/modules/sitetitle.php' ?> | <?=$config_site['sitename']?></title>
<meta name="description" content="Система активной рекламы. Заработок в интернете. Эффективная и быстрая раскрутка сайта." />
<meta name="keywords" content="трафик, букс, система активной рекламы, сервис активной рекламы, рекламное агентство, серфинг, реклама, заработок, покупка трафика, продажа трафика, дешевые клики, реклама, реклама сайтов, рекламные услуги, раскрутка, раскрутка сайта, бесплатная раскрутка, эффективная раскрутка, продвижение сайтов, seo, сео, баннер, баннеры" />
<?
/*---Условие только для верхней панели, так как в новых версиях Chrome скролл на 1 пиксель меньше---*/
if ( strpos( $_SERVER['HTTP_USER_AGENT'], 'Chrome' ) ) {
    preg_match( '/Chrome\/([0-9.]+)/', $_SERVER['HTTP_USER_AGENT'], $bVersion );
    $bVersion = explode( '.', $bVersion[1] );
    if ( $bVersion[0] >= 32 ) {
        ?>
        <link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/styleChrome.css" />
        <?
    } else {
        ?>
        <link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/style.css" />
        <?
    }
} else {
    ?>
    <link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/style.css" />
    <?
}
?>
<link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/tiptip.css" />
<link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/selectbox.css" />
<link media="all" type="text/css" rel="stylesheet" href="<?=ROOT?>/theme/css/jquery.animate.css" />
<script type="text/javascript" src="<?=ROOT?>/theme/js/jquery.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/qbox.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/qnotify.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/func.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/formstyler.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/knob.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/highcharts/highcharts.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/NRMSLib.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/jquery-noty.js"></script>
<script type="text/javascript" src="<?=ROOT?>/theme/js/jquery-noty-theme.js"></script>
<script type="text/javascript" src="//ulogin.ru/js/ulogin.js" async defer></script>
<script type="text/javascript" src="https://www.google.com/recaptcha/api.js" async defer></script>

</head>
<body>

<script src="<?=ROOT?>/theme/js/advert-detected.js" type="text/javascript" id="advert-detected"></script>
<script type="text/javascript">
	$(function () {
	if (!('adBlock' in window)) {
	$('.request-top').fadeIn('fast').addClass('animated slideInDown');
	}
	else {
	setTimeout(function() {
	$('#advert-request').remove();
	$('#advert-detected').remove();
	}, 500);
	}
	});

	$(function() {
	$('.request-top i').click(function () {
	$(this).parent().parent().fadeOut('slow');
	return false;
	});
	});
</script>
<script type="text/javascript" id="advert-request">
document.write('<div class="request-top"><div>Приветствуем! Мы обратили внимание на то, что вы используете AdBlock, поэтому могут быть недоступны некоторые функции сайта. Добавьте нас <a href="#">в исключения</a>, пожалуйста. <i class="fa fa-times this_tip trans" data-text="" title="Кликните для закрытия"></i></div></div>');
</script>

<div style="position: relative; height: 100%; margin: 0;">
    <div class="wrap_top_panel">
        <div class="top_panel">
            <div class="top_left_line"></div>
            <div class="top_right_line"></div>
            <a href="/" class="logo lnk_up" title="SeoEmpire.ru"></a>
            <div class="arrow_up"></div>
            <div class="topmenu"><? include_once ROOT_DIR . '/modules/topmenu.php'; ?></div>
        </div>
    </div>
    <?
    if ( isset( $_SESSION['iduser'] ) and ( $config_user['account'] == 5 ) ) {
        include_once ROOT_DIR . '/admcontrol.php';
    }
    ?>
<div class="wrap_body">
<div class="wrapper_body">
    <?
    if ( !isset( $_SESSION['iduser'] ) ) {
    ?>
<div class="chainlinks">
<?
	} else {
?>
<div class="chainlinks chainlast">
<?
	}
?>
<script type="text/javascript">reloadpage.loadtoppanel();</script>
<table style="width: 100%;">
<tr id="rotatorclink">
<? include_once ROOT_DIR . '/modules/clink/clink.php'; ?>
</tr>
</table>
<?
if ( isset( $_SESSION['iduser'] ) ) {
?>
<div onclick="rotatorclink_change(); return false;" class="chainlinks-but trans" style="top: 6px;">
<div class="chainlinks-but-first"><i class="fa fa-refresh chainlinks-but-r" style="font-size: 13px;" title="Обновить"></i></div>
</div>
<div class="chainlinks-but trans" style="top: 26px;">
<a href="/addclink" onclick="Page.Go(this.href); return false;" style="color: #fff;">
<div class="chainlinks-but-second"><i class="fa fa-plus chainlinks-but-a" style="font-size: 12px;" title="Разместить"></i></div>
</a>
</div>
<?
}
?>
</div>
<div class="table_body">
<div class="left"><div class="left_menu"><div class="leftprofiles"><? include_once ROOT_DIR . '/modules/profiles/leftprofiles.php'; ?></div></div></div>
<div class="right"><div class="right_menu"><? include_once ROOT_DIR . '/modules/rightmenu.php'; ?></div></div>
<div class="content">
<div class="body">
<? include_once ROOT_DIR . '/engine/engine.php'; ?>
<? include_once ROOT_DIR . '/engine/foot.php'; ?>

</body>
</html>
<?
}
?>
