<?

if ( isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=utf-8' );
    include_once ROOT_DIR . '/engine/config.php';
} else {
    if ( !defined( 'webid' ) ) { exit(); }
}

?>
<div class="text_title">Услуги и порядок оплаты</div>
<div class="wrap_rules" style="text-align: justify;">
<b><?=$config_site['sitename'] ?></b> — сервис, предоставляющий качественные рекламные услуги, а так же возмож­ность формирования дополнительного источника дохода. Ниже представлен полный перечень наших услуг:
<ul class="listing">
    <li><span>Размещение рекламы в серфинге</span></li>
    <li><span>Размещение рекламы в оплачиваемых письмах</span></li>
    <li><span>Размещение рекламы в оплачиваемых заданиях и тестах</span></li>
    <li><span>Размещение рекламы текстового характера (контекстная реклама, ссылки)</span></li>
    <li><span>Размещение рекламы графического характера (баннеры)</span></li>
    <li><span><a class="a_box" href="/price">Типовые платные услуги (веб-разработка)</a></span></li>
</ul>
</div>
<h2>Важно</h2>
<div class="wrap_rules" style="text-align: justify;">
<b><?=$config_site['sitename'] ?></b> не предоставляет иных услуг, кроме перечисленных выше. Мы не используем рефботов. Мы не организуем матрицы и финансовые пирамиды. Мы также ни под каким предлогом не предоставляем услуги обмена электронных валют, используемых в проекте. Все технические возможности подобных действий на <b><?=$config_site['sitename'] ?></b> отсутствуют. Попытки обмана системы - наказываются.
</div>
<h2>Порядок оплаты услуг и доставка</h2>
<div class="wrap_rules" style="text-align: justify;">
Все услуги на <b><?=$config_site['sitename'] ?></b> оплачиваются путём добавления их в "Корзину" и оплаты посредством предлагаемых платёжных систем. Услуга, выбранная пользователем, бронируется на определённое время, предоставляя пользователю оплатить покупку или продолжить выбор услуг. Баланс аккаунта нельзя пополнить посредством платёжных систем. Все услуги оплачиваются и доставляются мгновенно в автоматическом режиме. Все услуги подробно описаны и имеют недвусмысленные названия. Покупатель обязан понимать смысл своих действий. При оплате каких-либо услуг на нашем сервисе, а затем отказа от их использования, денежные средства не возвращаются. В случае каких-либо сбоев в оплате и/или доставке услуг, обращайтесь в Службу технической поддержки.
<div style="padding-top: 20px;">Список предоставляемых платёжных систем для оплаты услуг на <b><?=$config_site['sitename'] ?></b>:</div>
<ul class="listing">
    <li><span><a class="a_box" href="http://webmoney.ru/" rel="nofollow" target="_blank">WebMoney</a></span></li>
    <li><span><a class="a_box" href="http://payeer.com/?partner=498171" rel="nofollow" target="_blank">Payeer</a></li>
</ul>
</div>
<h2>Денежные операции</h2>
<div class="wrap_rules" style="text-align: justify;">
В системе <b><?=$config_site['sitename'] ?></b>
у каждого пользователя существует 2 счета:
Основной счет - Cчет для начисления и вывода заработанных средств.
Выплаты с Основного счета производятся посредством электронных платежных систем WebMoney, YandexMoney, QiWi, Perfect Money.
Рекламный счет - Счет с которого осуществляются все покупки в системе.
Рекламный счет можно пополнить путем перевода заработанных средств с Основного счета, или посредством всех доступных платежных систем на проекте <b><?=$config_site['sitename'] ?></b>. Пополнение рекламного счета производится в автоматическом режиме. Вывод средств с Рекламного счета на кошелек пользователя, а так же перевод средств с Рекламного счета на Основной - не производится, что исключает обменник.
</div>
<h2>Уведомление о рисках для пользователей WebMoney Transfer</h2>
<div class="wrap_rules" style="text-align: justify;">
Предлагаемые товары и услуги предоставляются не по заказу лица либо предприятия, эксплуатирующего систему WebMoney Transfer. Мы являемся независимым предприятием, оказывающим услуги, и самостоятельно принимаем решения о ценах и предложениях. Предприятия, эксплуатирующие систему WebMoney Transfer, не получают комиссионных вознаграждений или иных вознаграждений за участие в предоставлении услуг и не несут никакой ответственности за нашу деятельность.<br /><br />
Аттестация, произведенная со стороны WebMoney Transfer, лишь подтверждает наши реквизиты для связи и удостоверяет личность. Она осуществляется по нашему желанию и не означает, что мы каким-либо образом связаны с продажами операторов системы WebMoney. 
</div>

<div style="display:block;margin:30px auto 10px;text-align:center;width:468px;">

</div>
