<?

if ( isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=utf-8' );
    include_once ROOT_DIR . '/engine/config.php';
} else {
    if ( !defined( 'webid' ) ) { exit(); }
}

?>

<div class="text_title">Правила проекта</div>
<div class="wrap_rules" style="text-align: justify;">
Регистрируясь в системе <b><?=$config_site['sitename'] ?></b>, вы автоматически соглашаетесь с нижеследующими правилами.
Администрация оставляет за собой право вносить дополнения и изменения в правила на своё усмотрение без предварительного уведомления участников.
</div>
<div class="wrap_rules">
<h2>Общие положения</h2>
1.1. Соблюдать все правила проекта <b><?=$config_site['sitename'] ?></b><br>
1.2. Общаясь с пользователями или администрацией будьте вежливы.
<br>
1.3. Если вы пришли на проект <b><?=$config_site['sitename'] ?></b> вы должны относиться адекватно к возможным возникшим проблемам.
<br>
1.4. Вы можете получить заработанные средства только после получения статуса рабочий.
<br>
1.5. Каждый пользователь проекта в праве получить максимальный рефбек проявляя активность, не смотря на рефбек установленный рефером.
<br>
1.6. Если пользователь по какой-либо причине был удалён из системы, то все его рефералы попадают к его рефереру.
<br>
1.7. Вывести заработанные средства можно только с указанием реального 
E-mail адреса, работая со стандартного устройства персональный компьютер, без использования виртуальных ОС, прокси и программ для автоматической работы (Авто-кликер).
<br>
1.8. Рефералы принадлежащие системе (Администрации) могут быть переданы в качестве награды победителям в конкурсах проекта, 
другим пользователям в качестве поощрения (вне зависимости от статуса пользователя), также других случаях, не оговоренных в данном положении.
Администрация не обязана отпускать пользователя принадлежащего системе по его просьбе, он не может быть продан на Ярмарке пока принадлежит системе (Администрации).
<br>
1.9. Администрация не компенсирует убытки пользователей-рефереров, чьи рефералы были удалены вследствие нарушения ими данных Правил. Покупка рефералов на Ярмарке связана с определённым риском. Администрация не несёт ответственности за рефералов, продающихся на Ярмарке и не может гарантировать, что купленный реферал не окажется позднее нарушителем.
<br>
1.10. Мы не гарантируем что количество переходов по статистике на вашей рекламной площадке совпадет со статистикой ваших счётчиков на ваших сайтах.
<br><br>
Администрация не несет ответственности за содержание рекламных материалов, а так же их достоверность и правдивость, 
рекламные материалы размещаются рекламодателем и к администрации проекта не имеют отношения. 
Проект предоставляет ресурсы для размещения рекламы.

<h2>Финансовые операции </h2>
2.1. В системе <b><?=$config_site['sitename'] ?></b> у каждого пользователя существует 2 счета:
<br>
2.2. Основной счет - Cчет для начисления и вывода заработанных средств.
<br>
2.3. Выплаты с Основного счета производятся посредством электронными платежными системами которые есть на проекте в автоматическом режиме, с учетом комиссии .
<br>
2.4. При возникновении проблем с автоматическими выплатами проект имеет право приостановить выплаты на срок до 15 дней.
<br>
2.5. Рекламный счет - Счет с которого осуществляются все покупки в системе - Заказ рекламы, покупка рефералов на бирже.
<br>
2.6. Рекламный счет - можно пополнить путем перевода заработанных средств с Основного счета, или посредством платежных систем которые есть на проекте. Пополнение рекламного счета производится в автоматическом режиме.
<br>
2.7. Вывод средств с Рекламного счета на кошелек пользователя, а так же перевод средств с Рекламного счета на Основной - не производится.
<br>
2.8. Возврат и перевод средств с рекламы которая ведёт показ по времени (Безлимитный сёрфинг, Баннеры, Контекстная реклама, Псевдо ссылки, Статьи) - не производится.

<h2>Рекламодателям запрещается</h2>
3.1. Запрещается добавлять для рекламы сайты, которые нарушают нормальный ход серфинга, разрушают фрейм, содержат вирусы, трояны, фишинговые ссылки или любые другие вредоносные программы, 
а также кража паролей или контент пользователей, рекламирующих свои проекты. 
При обнаружении такая реклама будет немедленно удаляться, без предупреждения, а автор рекламы будет оштрафован либо заблокирован навсегда.
<br>
3.2. Запрещается добавлять для рекламы сайты, группы, блоги, содержащие порнографию, обилие эротических материалов, 
сообщества нетрадиционной сексуальной ориентации. Ресурсы, созданные "не для людей", т.е. набитые множеством партнёрок.
Также ресурсы, содержащие фашистские убеждения, различные политические высказывания, оскорбительные высказывания в адреса других народов. 
Запрещается использовать <b><?=$config_site['sitename'] ?></b> для размещения рекламы или действий, нарушающих законы и кодексы РФ. 
При обнаружении такая реклама будет немедленно удаляться, без предупреждения.
<br>
3.3. Запрещается обманывать пользователей при выполнении заданий, писем, тестов. Также запрещается умышленно различными способами вводить пользователей в заблуждение при выполнении заданий, писем, тестов.
<br>
3.4. Запрещается размещать ресурсы для сбора пожертвований, или призывы к пожертвованиям, кроме официальных фондов и центров помощи.
<br>
3.5. Запрещается размещать ресурсы построенные на ucoz.com.
<br>
3.6. Запрещается использовать в описании к рекламе, нецензурную брань, оскорбления итд, подобная реклама будет удалена без возврата средств, при повторных нарушениях, аккаунт будет заблокирован.

<br><h2>Пользователям запрещается</h2>

4.1. Любые угрозы, оскорбления и клевета в адрес участников проекта, самого проекта или администрации, а так же шантаж, вымогание, попрошайничество денег или рефбека. В случае поступления жалоб от пострадавших, аккаунт нарушителя будет забанен и удалён.
<br>
<span style="color: crimson;">
4.2. Создавать более одного аккаунта одному участнику, также запрещено иметь более одного аккаунта на одном компьютере. 
Исполнителям. Запрещается участвовать в махинациях по выводу денег с  аккаунтов, не прошедших проверку, 
посредством выполнения заданий (или других оплачиваемых действий на проекте), 
переводя средства в обход ограничений системы во внешних платежных системах и подавая отчет на проекте. 
Данные действия будут расцениваться как посредничество в создании и развитии мультаккаунтов. 
Если ваш аккаунт был удалён за не активность, то вы можете создать его заново на те же данные.
</span>
<br>
4.3. При просмотре сайтов в серфинге препятствовать полноценной загрузке элементов сайтов рекламодателей или нарушать нормальный ход серфинга, использование любых сторонних программ для автоматического и полуавтоматического просмотра (авто-кликеров, авто-браузеров, ускорителей таймера) запрещено.
<br>
4.4. Использовать СПАМ по внутренней почте или другими путями.
<br>
4.5. Запрещено регистрировать ники типа admin, administrator, admin123, moderator, support, system и.т.д.
<br>
4.6. Запрещено мошенничество с рефералами, наказание от лишения баллов рейтинга до полной блокировки аккаунта!
<br>
4.7. Запрещена кража паролей от аккаунтов, при попытке или кражи, нарушитель будет заблокирован и удалён.
<br>
4.8. Запрещено использовать, распространять любые программы авто-кликеры, а также запрещено отключать фрейм при просмотре рекламы.
<br>
4.9. Запрещена накрутка рейтинга в любом виде. За нарушение удаление накрученных баллов и средств с последующим удалением аккаунта при повторном нарушении.
<br>
4.10. Запрещена любая накрутка статистики, отзывов итд. За нарушение удаление накрученной статистики, отзывов итд, при повторном нарушении блокировка аккаунта.
<br>
4.11. Запрещено передавать или размещать где-либо, ответы для выполнения тестов и заданий, а так же использовать такие ответы. За нарушение штраф либо полная блокировка аккаунта. 
Использование подобного материала, так же наказуемо, штраф либо полная блокировка аккаунта.
<br>
4.12. Запрещена накрутка конкурсов. За нарушение удаление результатов с последующим удалением аккаунта при повторном нарушении.
<br>
4.13. Запрещено обманным путём привлекать рефералов. При предоставлении  доказательств факта обмана, обманутому пользователю будет убран реферер. При повторном обмане нарушитель может быть оштрафован или заблокирован.
<br>
4.14. Запрещена кража контента пользователей, использование чужих изображений и аватарок. Так же использование чужого контента с целью дискредитации ресурса владельца. 
Рекламные площадки, направляющие массовый трафик без согласия и по жалобе владельца, будут удалены. 
Данные рекламодателя, разместившего подобную площадку, могут быть предоставлены по требованию владельца ресурса.
Нарушитель может быть оштрафован или заблокирован.
<br>
4.15. Запрещено подавать на проверку отчеты не соответствующие условию задания, копии прошлых отчётов, пустые, не несущие смысловой нагрузки, 
вводящие в заблуждение рекламодателя и другие попытки мошенничества (намеренно неверные отчеты с целью извлечения прибыли без выполнения условий задания). 
При подобных нарушениях полная блокировка аккаунта.
<br>
4.16. Запрещены любые политические, расистские и религиозные высказывания в какую либо сторону. За нарушение следует предупреждение и при повторном нарушении, незамедлительное удаление аккаунта.

<h2>Соглашения</h2>
5.1. Принимая данные правила Вы соглашаетесь с тем, что администрация системы не несет ответственности за любые финансовые убытки, произошедшие как по вине участника системы, а так же и в случае непредвиденных, форс-мажорных обстоятельств или банкротства системы, не обязана возмещать Ваши возможные убытки.
<br>
5.2. Принимая данные правила Вы соглашаетесь с тем, что администрация системы не несет ответственности за возможный ущерб, нанесенный Вам или Вашему компьютеру, в результате просмотра размещенных рекламодателями сайтов, выполнения заданий, скачивания файлов и др.
<br>
5.3. Принимая данные правила Вы соглашаетесь с тем, что администрация системы имеет право использовать имеющиеся и вводить новые способы проверки аккаунтов пользователей для совершения финансовых операций по выводу средств из проекта.
<br>
5.4. Администрация оставляет за собой право изменять оплату за пользование услугами сайта, за работу пользователей, размер минимальной выплаты, если сочтет это необходимым и без объяснения причин этих действий.
<br>
5.5. Администрация имеет право просматривать сообщения внутренней почты, посещать любой аккаунт пользователей без их ведома (без ввода пароля), изменять что либо в случае нарушения правил проекта.
<br>
5.6. Администрация оставляет за собой право изменить это соглашение, предварительно, не менее чем за 7 дней сообщить об этом в новостях или форуме системы.
<br>
5.7. Аккаунты пользователей, нарушающих данные правила, будут заблокированы, баланс аккаунта обнулен, имеющиеся рефералы заблокированных пользователей переходят к реферу выше если он имеется.
<br>
5.8. Зарегистрировавшись в системе <b><?=$config_site['sitename'] ?></b>, вы автоматически соглашаетесь со всеми правилами проекта.
<br>
5.9. Любые ваши операции и действия на проекте расцениваются администрацией как ваше согласие на их проведение.
<br>
5.10. Любой обман системы и пользователей проекта, попытки взлома, использования багов и недочётов, влечет за собой блокировку аккаунта.
<br>
5.11. Администрация имеет право удалить аккаунты не подававшие активности в течении 70 дней (если рейтинг равен или больше 100 то аккаунт будет удалён после 120 дней по решению администрации), 
с обнулением всех средств на счету.
<br>
5.12. Администрация не несёт ответственности за сделки, которые происходили в обход системы, например договоры вступить в рефералы через личную почту.
<br>
<span style="color: crimson;">
5.13. Любая необоснованная клевета в сторону проекта карается блокировкой аккаунта.
<br>
5.14. Администрация не обязана предоставлять доказательства причин штрафования, блокировки и удаления аккаунта. 
<br>
5.15. По усмотрению Администрации аккаунтам, подлежащим блокировке за нарушения выше указанных правил, может быть предоставлена возможность оплатить штраф для восстановления работы аккаунта.
</span>
<h3><span style="color: crimson;">Не нарушая правила вы гарантируете себе стабильность на нашем проекте!</span></h3>

</div>

<div style="display:block;margin:30px auto 10px;text-align:center;width:468px;">

</div>
