<?

if ( isset($_SERVER['HTTP_X_REQUESTED_WITH']) && $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=utf-8' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'webid' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div class="error">Ошибка! Вы не авторизированы.<br />Пожалуйста, воспользуйтесь формой авторизации.</div>';
} else {
    include_once ROOT_DIR . '/modules/profiles/menu.php';
    
    switch ( $config_user['messblock'] ) {
        case 0: $messblock = 'Все пользователи'; break;
        case 1: $messblock = 'Только рефералы'; break;
        case 2: $messblock = 'Никто'; break;
    }
    
    switch ( $config_user['walls_message_access'] ) {
        case 0: $walls_message_access = 'Все пользователи'; break;
        case 1: $walls_message_access = 'Только рефералы'; break;
        case 2: $walls_message_access = 'Никто'; break;
    }
    
    switch ( $config_user['showbirthday'] ) {
        case 0: $showbirthday = 'Все пользователи'; break;
        case 1: $showbirthday = 'Никто'; break;
    }
    ?>
    <div class="text_title">Настройки приватности</div>
    <div class="profile_privacy">
        <table>
            <tr>
                <td class="tabright" width="60%">Кто может отправлять мне личные сообщения:</td>
                <td class="tableft">
                    <div class="wrap_privacy">
					<div onclick="settings.privacyOpen(1); return false;"><?=$messblock?></div>
                    <div class="pMenu" id="p_1" style="display: none;">
                    <div class="set_selected" onclick="settings.privacyClose(1)"><?=$messblock?></div>
                    <div class="set_hover" onclick="settings.msg(0)">Все пользователи</div>
                    <div class="set_hover" onclick="settings.msg(1)">Только рефералы</div>
                    <div class="set_hover" onclick="settings.msg(2)">Никто</div>
                    </div>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="tabright" width="60%">Кто может видеть день рождения на стене:</td>
                <td class="tableft">
                    <div class="wrap_privacy">
					<div onclick="settings.privacyOpen(2); return false;"><?=$showbirthday?></div>
                    <div class="pMenu" id="p_2" style="display: none;">
                    <div class="set_selected" onclick="settings.privacyClose(2)"><?=$showbirthday?></div>
                    <div class="set_hover" onclick="settings.ShowBirthday(0)">Все пользователи</div>
                    <div class="set_hover" onclick="settings.ShowBirthday(1)">Никто</div>
                    </div>
                    </div>
                </td>
            </tr>
            <tr>
                <td class="tabright" width="60%">Кто может оставлять записи на стене:</td>
                <td class="tableft">
                    <div class="wrap_privacy"><div onclick="settings.privacyOpen(3); return false;"><?=$walls_message_access?></div>
                    <div class="pMenu" id="p_3" style="display: none;">
                    <div class="set_selected" onclick="settings.privacyClose(3)"><?=$walls_message_access?></div>
                    <div class="set_hover" onclick="settings.WallsMessage(0)">Все пользователи</div>
                    <div class="set_hover" onclick="settings.WallsMessage(1)">Только рефералы</div>
                    <div class="set_hover" onclick="settings.WallsMessage(2)">Никто</div>
                    </div>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <?
}
?>